PipeWire 1.2.6

Loading...
Searching...
No Matches
Files | Enumerations | Macros | Functions
Type info
Core API

Type information More...

## Files
file | type.h
| `pipewire/type.h`

## Enumerations
enum | { PW_TYPE_FIRST = SPA_TYPE_VENDOR_PipeWire }

## Macros
#define | PW_TYPE_INFO_BASE "PipeWire:"
#define | PW_TYPE_INFO_Object PW_TYPE_INFO_BASE "Object"
#define | PW_TYPE_INFO_OBJECT_BASE PW_TYPE_INFO_Object ":"
#define | PW_TYPE_INFO_Interface PW_TYPE_INFO_BASE "Interface"
#define | PW_TYPE_INFO_INTERFACE_BASE PW_TYPE_INFO_Interface ":"

## Functions
const struct spa_type_info * | pw_type_info (void)

## Detailed Description

Type information

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
PW_TYPE_FIRST |

## Macro Definition Documentation

## ◆ PW_TYPE_INFO_BASE

#define PW_TYPE_INFO_BASE "PipeWire:"

## ◆ PW_TYPE_INFO_Object

#define PW_TYPE_INFO_Object PW_TYPE_INFO_BASE "Object"

## ◆ PW_TYPE_INFO_OBJECT_BASE

#define PW_TYPE_INFO_OBJECT_BASE PW_TYPE_INFO_Object ":"

## ◆ PW_TYPE_INFO_Interface

#define PW_TYPE_INFO_Interface PW_TYPE_INFO_BASE "Interface"

## ◆ PW_TYPE_INFO_INTERFACE_BASE

#define PW_TYPE_INFO_INTERFACE_BASE PW_TYPE_INFO_Interface ":"

## Function Documentation

## ◆ pw_type_info()

const struct spa_type_info * pw_type_info | ( | void |  | ) |